Issue an invoice
curl --request POST \
--url https://api.spacebring.com/billing/invoices/v1/{invoiceId}/issue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"skipAutoCharge": false
}
'import requests
url = "https://api.spacebring.com/billing/invoices/v1/{invoiceId}/issue"
payload = { "skipAutoCharge": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({skipAutoCharge: false})
};
fetch('https://api.spacebring.com/billing/invoices/v1/{invoiceId}/issue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {
"amountDue": 123,
"amountPaid": 123,
"amountRemaining": 123,
"appliedBalance": 123,
"baseAmounts": {
"amountDue": 123,
"appliedBalance": 123,
"currencyCode": "<string>",
"postPaymentCreditNotesAmount": 123,
"prePaymentCreditNotesAmount": 123,
"subtotalAmount": 123,
"subtotalExcludingTaxAmount": 123,
"taxes": [
{
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
}
],
"totalAmount": 123,
"totalExcludingTaxAmount": 123
},
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"logo": {
"key": "<string>",
"url": "<string>"
},
"title": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"itemsCount": 0,
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payments": [
{
"createDate": "2023-11-07T05:31:56Z",
"method": {
"external": {},
"paymentGateway": {
"gateway": "<string>",
"label": "<string>",
"mask": "<string>",
"title": "<string>"
}
},
"price": {
"money": {
"currencyCode": "<string>",
"grossAmount": 123
},
"type": "money"
},
"refundable": true,
"transactionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dispute": {
"createDate": "2023-11-07T05:31:56Z"
},
"refunds": {
"type": "money",
"money": [
{
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"grossAmount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"surcharge": {
"money": {
"amount": 123,
"currencyCode": "<string>",
"percentage": 123,
"rate": 123
},
"type": "money"
}
}
],
"postPaymentCreation": true,
"postPaymentCreditNotesAmount": 123,
"prePaymentCreditNotesAmount": 123,
"subtotalAmount": 123,
"subtotalExcludingTaxAmount": 123,
"taxes": [
{
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
}
],
"timezoneId": "<string>",
"title": "<string>",
"totalAmount": 123,
"totalExcludingTaxAmount": 123,
"amount": 123,
"autoChargeFailed": true,
"autoCreateDate": "2023-11-07T05:31:56Z",
"company": "<unknown>",
"companyRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerAddress": {
"city": "<string>",
"countryCode": "<string>",
"line1": "<string>",
"line2": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"customerName": "<string>",
"customerTaxId": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"dueDays": 0,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"internalNote": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"items": [
"<unknown>"
],
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memo": "<string>",
"netAmount": 123,
"number": "<string>",
"paymentMethod": {
"cardMask": "<string>",
"label": "<string>",
"mask": "<string>"
},
"pdfUrl": "<string>",
"postPaymentCreditAmount": 123,
"prePaymentCreditAmount": 123,
"receiptPdfUrl": "<string>",
"startingBalance": 123,
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxAmount": 123,
"transaction": {
"amount": 123,
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentMethod": {
"type": "<string>",
"label": "<string>"
},
"refund": {
"amount": 123,
"createDate": "2023-11-07T05:31:56Z"
},
"refunds": [
{
"amount": 123,
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"user": "<unknown>",
"voidDate": "2023-11-07T05:31:56Z"
},
"invoiceItems": [
{
"amount": 123,
"baseAmounts": {
"currencyCode": "<string>",
"discountedAmount": 123,
"totalAmount": 123,
"totalExcludingTaxAmount": 123,
"unitAmount": 123,
"unitExcludingTaxAmount": 123,
"tax": {
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
}
},
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"description": "<string>",
"discountedAmount": 123,
"discounts": [
{
"coupon": {
"amountOff": 123,
"currencyCode": "<string>",
"duration": "<string>",
"durationInMonths": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentOff": 123,
"productTypes": [
"<string>"
],
"type": "<string>"
},
"promocode": {
"code": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiration": "2023-11-07T05:31:56Z",
"limitByFirstPurchase": true
},
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"netAmount": 123,
"netUnitAmount": 123,
"product": {
"title": "<string>",
"bookingRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventTicketRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"optionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"quantity": 0,
"totalAmount": 123,
"totalExcludingTaxAmount": 123,
"type": "<string>",
"unitAmount": 123,
"unitExcludingTaxAmount": 123,
"booking": {},
"companyRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creditPackage": {},
"deleteDate": "2023-11-07T05:31:56Z",
"invoiceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefCreatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderItem": {},
"period": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
},
"plan": {},
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax": {
"amount": 123,
"inclusive": true,
"rate": 123,
"taxableAmount": 123
},
"taxAmount": 123,
"taxableAmount": 123,
"ticket": {},
"userCreatedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"surname": "<string>"
}
}
]
}{
"message": "<string>",
"type": "<string>"
}Billing
Issue an invoice
Issue (finalize) a draft invoice, making it ready for payment.
OAuth
Required scopes:invoicesPOST
/
billing
/
invoices
/
v1
/
{invoiceId}
/
issue
Issue an invoice
Authorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of an invoice.
Body
application/json
If true, skip automatic charge after issuing the invoice.
Was this page helpful?
⌘I